tigase.monitor.tasks

## Class ScriptTask

- java.lang.Object
- - tigase.monitor.tasks.AbstractConfigurableTask
  - - tigase.monitor.tasks.ScriptTask

- All Implemented Interfaces:
    Initializable, UnregisterAware, ConfigurableTask, MonitorTask

      public class ScriptTask
      extends AbstractConfigurableTask
      implements Initializable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Bindings` | `bindings`
    `protected ScriptEngineManager` | `scriptEngineManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `enable()`
    `Bindings` | `getBindings()`
    `String` | `getScript()`
    `ScriptEngineManager` | `getScriptEngineManager()`
    `String` | `getScriptExtension()`
    `void` | `initialize()`
    `void` | `setBindings(Bindings bindings)`
    `void` | `setScript(String script, String scriptExtension)`
    `void` | `setScriptEngineManager(ScriptEngineManager scriptEngineManager)`

    - ### Methods inherited from class tigase.monitor.tasks.AbstractConfigurableTask

      `beforeUnregister, disable, getCurrentConfiguration, isEnabled, setEnabled, setNewConfiguration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bindings

          @Inject
          protected Bindings bindings

    - #### scriptEngineManager

          @Inject
          protected ScriptEngineManager scriptEngineManager

  - ### Constructor Detail

    - #### ScriptTask

          public ScriptTask()

  - ### Method Detail

    - #### enable

          protected void enable()

      Overrides:
        `enable` in class `AbstractConfigurableTask`

    - #### getBindings

          public Bindings getBindings()

    - #### getScript

          public String getScript()

    - #### getScriptEngineManager

          public ScriptEngineManager getScriptEngineManager()

    - #### getScriptExtension

          public String getScriptExtension()

    - #### initialize

          public void initialize()

      Specified by:
        `initialize` in interface `Initializable`

    - #### setBindings

          public void setBindings(Bindings bindings)

    - #### setScript

          public void setScript(String script,
                                String scriptExtension)

    - #### setScriptEngineManager

          public void setScriptEngineManager(ScriptEngineManager scriptEngineManager)

Copyright © 2017 "Tigase, Inc.". All rights reserved.